
/*---------------------------------------------------------- 
   An inspector for a LinesPalette object.
	 
	 used by IB to set the attributes of the palette object.
	 
	 HISTORY
	 
	 22Mar93	DM	Works with colors, a few other changes.
	 	9Mar93	DM	New
----------------------------------------------------------*/

#import <nib/InterfaceBuilder.h>

#define WHITE_BUTTON 	0
#define LTGRAY_BUTTON 1
#define DKGRAY_BUTTON 2
#define BLACK_BUTTON 	3

@interface LinesInspector:Inspector
{
	id	lineWidthField;												// (TextField) text line width
	id	widthScroller;												// (Scroller)  how wide it is, scroller
	id	lineColorButtons;											// (Matrix) buttons for the NeXT classic four gray scales
	id	lineColorBox;													// (Box) box that contains matrix of buttons and color well
	id	lineCapsRadio;												// (Matrix) check boxes for the existence of line-ending arrows
	id	enabledCheck;													// check box for enable/disable
	id	lineColorWell;												// color well for line
}

+ finishLoading:(struct mach_header *)header; 
+ startUnloading;

- init;																			// Initialize
- revert:sender;														// Set state of inspector to that of object
- ok:sender;																// Set state of object to that of inspector

- setColorHit:sender;												// color button hit
- colorPanelHit:sender;											// user wants to see the color panel
- setEnabledHit:sender;											// enabled check box hit

@end
